pomelo--a安装时候错误总结

  1. 云栖社区>
  2. 博客>
  3. 正文

pomelo--a安装时候错误总结

技术小胖子 2017-11-08 17:34:00 浏览500
展开阅读全文

spacer.gif安装pomelo 时发现:wKiom1NsPTyTkqdjAAKJCQms_bI028.jpg

wKioL1NsQRfyhwMAAAEZh-LyaQk870.jpg


错误解释:

node-gyp和node的版本不一致 ,有可能是python版本太低,默认是2.6.6

最后更改node版本和python版本

node 版本是10.2.6

python 版本是 2.7.3

再次重新安装无错误

假如注册不到channel,修改配置文件 server.json 即可~


pomelo 启动脚本所遇到的问题

要ssh远程执行程序无法退出问题解决方法

有时候,大家写脚本时,需要使用ssh启用远程程序后台执行,例如:

ssh -n -q } "cd test; nohup ./test &"

但这样调用的话,ssh命令会hang在那里。

对于这个问题,重定向远程的标准输入与标准输出即可,即:

ssh -n -q } 'cd test; nohup ./test > /dev/null < /dev/null 2>&1 &'

即可解决


关于shell中使用nohup,无法正常运行解决方法

在nohup sh  start.sh &   后面 加wait  即 sleep 5  即可。







      本文转自crazy_charles 51CTO博客,原文链接:http://blog.51cto.com/douya/1408814,如需转载请自行联系原作者


网友评论

登录后评论
0/500
评论
技术小胖子
+ 关注